/* OUR STORY SECTION */
html, body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}
.our-story-section {
  background-color: #0aa0f5; /* Blue background */
  padding: 100px 20px 80px;


}
html {
  scroll-behavior: smooth;
}
.our-story-container {
  max-width: 1200px;
  margin: 0 auto;
  color: #ffffff;
  padding-top:120px;
}

.our-story-container h1 {
  font-size: 48px;
  font-weight: 600;
  margin-bottom: 20px;
}

.our-story-container p {
  max-width: 700px;
  font-size: 22px;
  line-height: 1.6;
  opacity: 0.95;
}

/* Tablet */
@media (max-width: 992px) {
  .our-story-section {
    padding: 80px 20px 60px;
  }

  .our-story-container h1 {
    font-size: 40px;
  }

  .our-story-container p {
    font-size: 17px;
  }
}

/* Mobile */
@media (max-width: 576px) {
  .our-story-section {
    padding: 60px 15px 50px;
  }

  .our-story-container h1 {
    font-size: 32px;
  }

  .our-story-container p {
    font-size: 16px;
  }
}

.product-grid-section {
  max-width: 1400px;
  margin: 60px auto;
  padding: 0 20px;
}

.product-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 30px;
}

/* Card */
.product-card {
  position: relative;
  display: block;
  border-radius: 22px;
  /* overflow: hidden; */
  text-decoration: none;
}

.product-card img {
  width: 100%;
  height: 220px;
  object-fit: cover;
  display: block;
  border-radius: 22px;
}

/* Label */
.product-card span {
  position: absolute;
  bottom: 0px;
  left: 50%;
  transform: translateX(-50%);
  background: #fff;
  color: #000;
  padding: 16px 18px;
  border-radius: 16px;
  font-size:18px;
  font-weight: 600;
  text-align: center;
  white-space: nowrap;
}

/* Hover (Desktop only) */
/* @media (hover: hover) {
  .product-card:hover img {
    transform: scale(1.04);
    transition: transform 0.4s ease;
  }
} */

/* =======================
   Tablet (≤1024px)
======================= */
@media (max-width: 1024px) {
  .product-grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .product-card img {
    height: 200px;
  }
}

/* =======================
   Mobile (≤768px)
======================= */
@media (max-width: 768px) {
  .product-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
  }

  .product-card img {
    height: 180px;
  }

  .product-card span {
    font-size: 12px;
    padding: 17px 22px;
    height:30px;
    width:250px;
    border-radius:20px;
  }
}

/* =======================
   Small Mobile (≤480px)
======================= */
@media (max-width: 480px) {
  .product-grid {
    grid-template-columns: 1fr;
  }

  .product-card img {
    height: 200px;
  }
}

.contact-section {
    padding: 60px 0;
}

.contact-card {
    background: #dfe5ea;
    padding: 35px;
    border-radius: 12px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.05);
}

.contact-card input,
.contact-card textarea {
    border-radius: 6px;
    border: 1px solid #ccc;
    padding: 12px;
}

.contact-btn {
    background: #1d8bd1;
    color: #fff;
    padding: 14px;
    border-radius: 8px;
    border: none;
    width: 100%;
    font-weight: 600;
    transition: 0.3s;
}

.contact-btn:hover {
    background: #157bb8;
}

.image-box {
    position: relative;
   
}

.image-box img {
    width: 100%;
    border-radius: 12px;
    height:95vh;
}

.call-box {
    position: absolute;
    bottom: -10px;
    right: -20px;
    background: #fff;
    padding: 15px 25px;
    border-radius: 12px;
    /* box-shadow: 0 5px 15px rgba(0,0,0,0.1); */
    text-align: center;
}

.call-box span {
    font-size: 22px;
    color: #1d8bd1;
    font-weight: 600;
}

@media (max-width: 991px) {
    .call-box {
        position: static;
        margin-top: 20px;
    }
}
/* Popup */
.custom-popup {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.4);
  display: flex;
  align-items: center;
  justify-content: center;
  visibility: hidden;
  opacity: 0;
  transition: 0.3s ease;
  z-index: 9999;
}

.custom-popup.active {
  visibility: visible;
  opacity: 1;
}

.popup-box {
  background: #fff;
  padding: 30px;
  border-radius: 12px;
  text-align: center;
  width: 320px;
  animation: popupFade 0.3s ease;
}

.popup-box i {
  font-size: 40px;
  margin-bottom: 10px;
}

.popup-box button {
  margin-top: 15px;
  padding: 8px 20px;
  border: none;
  background: #1d8bd1;
  color: #fff;
  border-radius: 6px;
}

@keyframes popupFade {
  from { transform: scale(0.8); }
  to { transform: scale(1); }
}
/* Top Blue Bar */
.top-info-bar {
  background: #1d8bd1;
  color: #fff;
  padding: 15px 0;
  font-size: 22px;
}

.top-info-bar a {
  /* color: #fff; */
  text-decoration: underline;
  font-weight: 500;
}

/* Address Section */
.address-section {
  background: #f4f4f4;
  font-family: 'Open Sans',sans-serif;
}

.address-card {
  background: #fff;
  padding: 25px;
  border-radius: 12px;
  box-shadow: 0 5px 15px rgba(0,0,0,0.05);
  height: 100%;
  transition: 0.3s ease;
  border:1px solid #555;
}

.address-card:hover {
  transform: translateY(-5px);
}

.address-card h5 {
  font-weight: 600;
  margin-bottom: 15px;
  color:black;
}

.address-card p {
  font-size: 16px;
  line-height: 1.5;
  color: black;
}

.phone {
  margin-top: 12px;
  color: #1d8bd1;
  font-weight: 600;
}

.phone i {
  margin-right: 6px;
}
